linphone::AccountCreatorListener Class Reference

An object to handle the responses callbacks for handling the AccountCreator operations. More...

`#include <account_creator_listener.hh>`

Inheritance diagram for linphone::AccountCreatorListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onCreateAccount (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onIsAccountExist (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onActivateAccount (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onSendToken (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onAccountCreationRequestToken (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onAccountCreationTokenUsingRequestToken (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onIsAccountActivated (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onLinkAccount (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onActivateAlias (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onIsAliasUsed (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onIsAccountLinked (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onRecoverAccount (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onUpdateAccount (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.
virtual LINPHONECXX_PUBLIC void | onLoginLinphoneAccount (const std::shared_ptr< linphone::AccountCreator > &creator, linphone::AccountCreator::Status status, const std::string &response)
| Callback to notify a response of server.

## Detailed Description

An object to handle the responses callbacks for handling the AccountCreator operations.

## Member Function Documentation

## onAccountCreationRequestToken()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onAccountCreationRequestToken | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onAccountCreationTokenUsingRequestToken()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onAccountCreationTokenUsingRequestToken | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onActivateAccount()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onActivateAccount | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onActivateAlias()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onActivateAlias | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onCreateAccount()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onCreateAccount | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onIsAccountActivated()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onIsAccountActivated | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onIsAccountExist()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onIsAccountExist | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onIsAccountLinked()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onIsAccountLinked | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onIsAliasUsed()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onIsAliasUsed | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onLinkAccount()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onLinkAccount | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onLoginLinphoneAccount()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onLoginLinphoneAccount | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onRecoverAccount()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onRecoverAccount | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onSendToken()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onSendToken | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

## onUpdateAccount()

virtual LINPHONECXX_PUBLIC void linphone::AccountCreatorListener::onUpdateAccount | ( | const std::shared_ptr< linphone::AccountCreator > & | creator,
|  | linphone::AccountCreator::Status | status,
|  | const std::string & | response )

inline virtual

Callback to notify a response of server.

Parameters

  creator | AccountCreator object
  status | The status of the AccountCreator test existence operation that has just finished
  response | The response has a string

The documentation for this class was generated from the following file:

- account_creator_listener.hh